Redmine - Defect #10374

User list is empty when adding users to project / group if remaining users are added late
2012-03-05 16:15 - Frank Helk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.3.2

Resolution: Fixed Affected version: 1.3.1
Description

Scenario:

e alarge number of redmine users defined (> 100 )
e a group or project where most of these users are member
e some users freshly defined, now to be added to the group or project

Symptom:

The list of users able to be added (equals ["all users" - "users already member"]) is empty, or some users are missing, even while the
absolute number of addable users is well below the "100 users" limit.

Looks like redmine incorporates only the first 100 users from the "all users" list into the unfiltered list, regardless of how many are
really addable. This might be explainde with the dynamic filter feature (which is nice anyhow), but it is

¢ confusing if one is unaware of that behaviour (which | suppose most users to be), and
¢ nasty if you don't have a handy printout of the lately added users nearby to know what to enter in the filter field (and don't want
totry a, b, ¢, ... and so on up to z to filter them for displaying).

Besides of that this behaviour is unususal for a search field ... it is supposed to narrow a list, not to expand its content.

Associated revisions

Revision 9128 - 2012-03-06 19:37 - Jean-Philippe Lang
Fixed that the proposed users list may be empty when adding a project member (#10374).

History

#1 - 2012-03-06 19:41 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 1.3.2

- Resolution set to Fixed

Frank Helk wrote:
The list of users able to be added (equals ["all users" - "users already member"]) is empty, or some users are missing, even while the absolute

number of addable users is well below the "100 users" limit.

This is fixed in r9128 for when adding a project member. The list now displays the first 100 users that do not belong to the project. It was already OK
for when adding a user to a group.

Besides of that this behaviour is unususal for a search field ... it is supposed to narrow a list, not to expand its content.

That's beyond the scope of this fix but if you have a better solution, I'd be glad to hear it because we just can't display all the users by default.

#2 - 2012-03-07 20:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.3-stable.
#3 - 2012-03-14 10:21 - Frank Helk

Jean-Philippe Lang wrote:

This is fixed in r9128 for when adding a project member. The list now displays the first 100 users that do not belong to the project. It was already
OK for when adding a user to a group.

That's exactly the expected behaviour. Thanks.

Besides of that this behaviour is unususal for a search field ... it is supposed to narrow a list, not to expand its content.

That's beyond the scope of this fix but if you have a better solution, I'd be glad to hear it because we just can't display all the users by default.

| regard the fact that installations with a large user community would be quite tricky to handle for the browser, if the full list is to be handled.
I would be mostly satisfied with some kind of notice if there are users omitted from the actual list. | would appreciate something like

Displaying first 100 out of xxxx users. Narrow list with filter if needed.

Such a notice seems to be quite simple to implement and gives a massive hint to the user.
